#! /bin/sh

rm -f core*
tmp=`mktemp txtmm-XXXXXX 2>/dev/null`
test -f "${tmp}" || {
  tmp=txtmm-$$
  touch ${tmp}
  chmod 700 ${tmp}
}
error=0

echo AAAAaaaaBBBBbbb > ${tmp}
./test-text-mmap ${tmp} || error=1

case "$-" in
*x* ) setx='set -x' ; set +x ;;
* ) setx='' ;;
esac

ct=`ls -l ${tmp} | awk '{ print $5; }'`
lim=8192
while test `expr $lim - $ct` -ge 16
do printf 'X %5d BBBBbbb\n' ${ct}
   ct=`expr $ct + 16`
done >> ${tmp}

while test `expr $lim - $ct` -gt 1
do echo
   ct=`expr $ct + 16`
done >> ${tmp}
$setx
./test-text-mmap ${tmp} || error=1
: rm -f ${tmp}
exit ${error}
